package de.uni_marburg.powersort.benchmark;

public class IntegerArray {
    private IntegerArray() {
    }

    public static Integer[] random(final int length) {
        return random(length, Integer.MIN_VALUE, Integer.MAX_VALUE);
    }

    public static Integer[] random(final int length, final int minInt, final int maxInt) {
        final Integer[] list = new Integer[length];
        for (int i = 0; i < length; i++) {
            list[i] = RandomInt.integer(minInt, maxInt);
        }
        return list;
    }
}
